import { Injectable } from '@nestjs/common';
import { PrismaService } from 'nestjs-prisma';

@Injectable()
export class WorkflowNodeTypeService {
  constructor(private prisma: PrismaService) {}

  findAll() {
    return this.prisma.workflowNodeType.findMany({
      orderBy: [{ category: 'asc' }, { type: 'asc' }],
    });
  }
}
